# Uses of Class
net.shibboleth.idp.attribute.ScopedStringAttributeValue

Packages that use ScopedStringAttributeValue
Package
Description
net.shibboleth.idp.saml.attribute.transcoding
Base classes for SAML `AttributeTranscoder` classes.
net.shibboleth.idp.saml.attribute.transcoding.impl
Implementations of SAML transcoders.
net.shibboleth.idp.saml.saml2.nameid.transcoding.impl
SAML 2.0 NameID transcoder implementations.

## Uses of ScopedStringAttributeValue in net.shibboleth.idp.saml.attribute.transcoding

Methods in net.shibboleth.idp.saml.attribute.transcoding with parameters of type ScopedStringAttributeValue
Modifier and Type
Method
Description
`static XMLObject`
SAMLEncoderSupport.`encodeScopedStringValueAttribute(IdPAttribute attribute, QName attributeValueElementName, ScopedStringAttributeValue value, String scopeAttributeName, boolean withType)`
Encode a `ScopedStringAttributeValue` value in to an SAML attribute value element using the (older Shibboleth) sytnax where the scope is inside an XML attribute.
`static XMLObject`
SAMLEncoderSupport.`encodeScopedStringValueInline(IdPAttribute attribute, QName attributeValueElementName, ScopedStringAttributeValue value, String scopeDelimiter, boolean withType)`
Encode a `ScopedStringAttributeValue` value into a SAML attribute value element using the "inline" syntax where the scope and value are combined into a string.

## Uses of ScopedStringAttributeValue in net.shibboleth.idp.saml.attribute.transcoding.impl

Methods in net.shibboleth.idp.saml.attribute.transcoding.impl with parameters of type ScopedStringAttributeValue
Modifier and Type
Method
Description
`protected XMLObject`
SAML1ScopedStringAttributeTranscoder.`encodeValue(ProfileRequestContext profileRequestContext, IdPAttribute attribute, TranscodingRule rule, ScopedStringAttributeValue value)`
Encodes an attribute value into a SAML AttributeValue element.
`protected XMLObject`
SAML2ScopedStringAttributeTranscoder.`encodeValue(ProfileRequestContext profileRequestContext, IdPAttribute attribute, TranscodingRule rule, ScopedStringAttributeValue value)`
Encodes an attribute value into a SAML AttributeValue element.

## Uses of ScopedStringAttributeValue in net.shibboleth.idp.saml.saml2.nameid.transcoding.impl

Methods in net.shibboleth.idp.saml.saml2.nameid.transcoding.impl with parameters of type ScopedStringAttributeValue
Modifier and Type
Method
Description
`protected XMLObject`
SAML2ScopedStringNameIDTranscoder.`encodeValue(ProfileRequestContext profileRequestContext, IdPAttribute attribute, TranscodingRule rule, ScopedStringAttributeValue value)`
Encodes an attribute value into a SAML AttributeValue element.